org.eclipse.draw2d

## Class DeferredUpdateManager.UpdateRequest

- java.lang.Object
- - org.eclipse.draw2d.DeferredUpdateManager.UpdateRequest

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  DeferredUpdateManager

    protected class DeferredUpdateManager.UpdateRequest
    extends java.lang.Object
    implements java.lang.Runnable

Calls `DeferredUpdateManager.performUpdate()`.

### Constructor Summary

Constructors
Constructor and Description
`DeferredUpdateManager.UpdateRequest()`

### Method Summary

Methods
`void` `run()` Calls `DeferredUpdateManager.performUpdate()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeferredUpdateManager.UpdateRequest

    public DeferredUpdateManager.UpdateRequest()

### Method Detail

#### run

    public void run()

Calls `DeferredUpdateManager.performUpdate()`.

Specified by:
  `run` in interface `java.lang.Runnable`